{% include 'patterns/organisms/layout/navbar.html' %}
{% include 'patterns/molecules/header/simple_header.html' with simple_header_title='Jak piráti pracují' %}
<main role="main">
  <div class="grid-container">
    <div class="grid-content">
      <p class="font-condensed text-xl leading-7 mb-5">
        {{ how_we_works_text_1 }}
      </p>
      <p class="font-condensed text-xl leading-7 mb-5">
        {{ how_we_works_text_2 }}
      </p>
    </div>
  </div>
  <div class="__js-root">
    <ui-view-provider :initial="{timeline: true, articles: false}" :sync-location="true"
                      v-slot="{ isCurrentView, toggleView }">
      <div class="grid-container article-section mb-8">
        <div class="grid-full">
          <div class="flex justify-center">
            <div class="switch">
              <a @click="toggleView('timeline')" class="switch__item"
                 :class="{'switch__item--active': isCurrentView('timeline')}">{{ how_we_works_topic_1 }}</a>
              <a @click="toggleView('articles')" class="switch__item"
                 :class="{'switch__item--active': isCurrentView('articles')}">{{ how_we_works_topic_2 }}</a>
            </div>
          </div>
      </div>
      </div>
        <template v-if="isCurrentView('timeline')">
          <div class="mt-10 md:mt-20">
            {% include 'patterns/organisms/articles/main_articles_timeline.html' %}
          </div>
        </template>
        <template v-if="isCurrentView('articles')">
          {% include 'patterns/organisms/articles/main_articles_article_list.html' %}
        </template>
    </ui-view-provider>
  </div>
</main>
{% include 'patterns/organisms/main_section/newsletter_section.html' %}
{% include 'patterns/organisms/layout/footer.html' %}
